Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156341 - eu-strip mangles separate debuginfo with relocation sections
Summary: eu-strip mangles separate debuginfo with relocation sections
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: elfutils
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Roland McGrath
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks: 156342
TreeView+ depends on / blocked
 
Reported: 2005-04-29 03:22 UTC by Roland McGrath
Modified: 2008-05-01 15:38 UTC (History)
0 users

Fixed In Version: 0.107-1
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-05-08 22:47:19 UTC


Attachments (Terms of Use)

Description Roland McGrath 2005-04-29 03:22:22 UTC
Description of problem:

When eu-strip writes separate debuginfo from an ET_REL object such as a kernel
module (.ko file), it doesn't fix up the relocs referring to section symbols
removed from the symbol table.

Version-Release number of selected component (if applicable):
0.106-3

How reproducible:
100%

Steps to Reproduce:
1. Install kernel-debuginfo package.
2. Try to use foo.ko.debug.
3. See bad relocs.
  
Actual results:


Expected results:


Additional info:

This is a blocker for SystemTAP.

Comment 1 Roland McGrath 2005-05-08 22:47:19 UTC
Fixed in 0.107.


Note You need to log in before you can comment on or make changes to this bug.